org.eclnt.fxcharts.data

## Class FXDataCoordinateValue

- java.lang.Object
- - org.eclnt.fxcharts.data.FXData
  - - org.eclnt.fxcharts.data.FXDataCoordinateValue

-     public class FXDataCoordinateValue
      extends FXData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FXDataCoordinateValue()`
    `FXDataCoordinateValue(java.math.BigDecimal x, java.math.BigDecimal y)`
    `FXDataCoordinateValue(java.math.BigDecimal x, java.math.BigDecimal y, java.math.BigDecimal weight)`
    `FXDataCoordinateValue(java.math.BigDecimal x, java.math.BigDecimal y, java.math.BigDecimal weight, java.lang.String tooltip, java.lang.String id)`
    `FXDataCoordinateValue(java.math.BigDecimal x, java.math.BigDecimal y, java.lang.String tooltip, java.lang.String id)`
    `FXDataCoordinateValue(double x, double y)`
    `FXDataCoordinateValue(double x, double y, double weight)`
    `FXDataCoordinateValue(double x, double y, double weight, java.lang.String tooltip, java.lang.String id)`
    `FXDataCoordinateValue(double x, double y, java.lang.String tooltip, java.lang.String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getWeight()`
    `java.math.BigDecimal` | `getX()`
    `java.math.BigDecimal` | `getY()`
    `void` | `setWeight(java.math.BigDecimal weight)`
    `void` | `setX(java.math.BigDecimal x)`
    `void` | `setY(java.math.BigDecimal y)`

    - ### Methods inherited from class org.eclnt.fxcharts.data.FXData

      `getId, getTooltip, setId, setTooltip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FXDataCoordinateValue

          public FXDataCoordinateValue()

    - #### FXDataCoordinateValue

          public FXDataCoordinateValue(java.math.BigDecimal x,
                                       java.math.BigDecimal y)

    - #### FXDataCoordinateValue

          public FXDataCoordinateValue(java.math.BigDecimal x,
                                       java.math.BigDecimal y,
                                       java.math.BigDecimal weight)

    - #### FXDataCoordinateValue

          public FXDataCoordinateValue(java.math.BigDecimal x,
                                       java.math.BigDecimal y,
                                       java.lang.String tooltip,
                                       java.lang.String id)

    - #### FXDataCoordinateValue

          public FXDataCoordinateValue(java.math.BigDecimal x,
                                       java.math.BigDecimal y,
                                       java.math.BigDecimal weight,
                                       java.lang.String tooltip,
                                       java.lang.String id)

    - #### FXDataCoordinateValue

          public FXDataCoordinateValue(double x,
                                       double y)

    - #### FXDataCoordinateValue

          public FXDataCoordinateValue(double x,
                                       double y,
                                       double weight)

    - #### FXDataCoordinateValue

          public FXDataCoordinateValue(double x,
                                       double y,
                                       java.lang.String tooltip,
                                       java.lang.String id)

    - #### FXDataCoordinateValue

          public FXDataCoordinateValue(double x,
                                       double y,
                                       double weight,
                                       java.lang.String tooltip,
                                       java.lang.String id)

  - ### Method Detail

    - #### getX

          public java.math.BigDecimal getX()

    - #### setX

          public void setX(java.math.BigDecimal x)

    - #### getY

          public java.math.BigDecimal getY()

    - #### setY

          public void setY(java.math.BigDecimal y)

    - #### getWeight

          public java.math.BigDecimal getWeight()

    - #### setWeight

          public void setWeight(java.math.BigDecimal weight)

Copyright © CaptainCasa Gmbh. All Rights Reserved.